<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/hyphenate_word_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>:Info: hyphenate_word_:  2020-04-25  hyphenate_word_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>hyphenate_word_ uses dictionary information to determine how to
<span id="L4" class="LineNr"> 4 </span>hyphenate a word which is too long to fit on a line of text.
<span id="L5" class="LineNr"> 5 </span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>Entry points in hyphenate_word_:
<span id="L8" class="LineNr"> 8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>:Entry: hyphenate_word_:  07/23/84  hyphenate_word_
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Function:  The hyphenate_word_ subroutine returns the character
<span id="L15" class="LineNr">15 </span>position at which a word can be hyphenated.  The word is located in a
<span id="L16" class="LineNr">16 </span>dictionary via the dict search list.
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Syntax:
<span id="L20" class="LineNr">20 </span>declare hyphenate_word_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>  fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call hyphenate_word_ <span class="textRainbow_lv0_p0">(</span>string<span class="textRainbow_lv0_o0">,</span> space<span class="textRainbow_lv0_o0">,</span> break<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>declare hyphenate_word_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>call hyphenate_word_ <span class="textRainbow_lv0_p0">(</span>string<span class="textRainbow_lv0_o0">,</span> space<span class="textRainbow_lv0_o0">,</span> break<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>Arguments:
<span id="L29" class="LineNr">29 </span>string <span class="textRainbow_lv0_p0">(</span>input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>   the text word that is to be split.
<span id="L31" class="LineNr">31 </span>space <span class="textRainbow_lv0_p0">(</span>input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>   the number of print positions remaining in the line.
<span id="L33" class="LineNr">33 </span>break <span class="textRainbow_lv0_p0">(</span>output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>   the number of characters from the word that should be placed on the
<span id="L35" class="LineNr">35 </span>   current line; it should be at least one less than the value of space
<span id="L36" class="LineNr">36 </span>   <span class="textRainbow_lv0_p0">(</span>to allow for the hyphen<span class="textRainbow_lv0_p0">)</span>, and can be 0 to specify that the word is
<span id="L37" class="LineNr">37 </span>   not to be broken.  Thus if the word &quot;calling&quot; is to be split, and
<span id="L38" class="LineNr">38 </span>   six spaces remain in the line, the procedure should return the value
<span id="L39" class="LineNr">39 </span>   4 <span class="textRainbow_lv0_p0">(</span>adjustment is performed after hyphenation<span class="textRainbow_lv0_p0">)</span>.
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>code <span class="textRainbow_lv0_p0">(</span>output<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr">43 </span>   a standard status code.  In order to retain compatibility with an
<span id="L44" class="LineNr">44 </span>   older version of this subroutine, this argument is optional,
<span id="L45" class="LineNr">45 </span>   depending upon how hyphenate_word_ is declared in the calling
<span id="L46" class="LineNr">46 </span>   program.  If this subroutine is called with only three arguments,
<span id="L47" class="LineNr">47 </span>   then no code is returned.
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>:hcom:
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>/****^  HISTORY COMMENTS:
<span id="L55" class="LineNr">55 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-04-25<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L56" class="LineNr">56 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L57" class="LineNr">57 </span>      A) Reformat using the newest subroutine info segment format.
<span id="L58" class="LineNr">58 </span>                                                   END HISTORY COMMENTS */
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
